package com.chenyang.nse.bussiness.entity.vo;

import java.util.List;

public class TreeVO {
   public static final String STATE_CLOSED = "closed";
   public static final String STATE_OPEN = "open";
   public static final String CHECKED_FALSE;
   public static final String CHECKED_TRUE;
   private String id;
   private String text;
   private String nodename;
   private String nodebyname;
   private String state;
   private String checked;
   private String flag;
   private String iconCls;
   private String datasystemid;
   private String exist;
   private List<TreeVO> children;

   public TreeVO() {
   }

   public TreeVO(String id, String text) {
      this.id = id;
      this.text = text;
   }

   public TreeVO(String id, String text, String state, String checked, String flag, String iconCls, List<TreeVO> children) {
      this.id = id;
      this.text = text;
      this.state = state;
      this.checked = checked;
      this.flag = flag;
      this.iconCls = iconCls;
      this.children = children;
   }

   public TreeVO(String id, String text, String state, String checked, List<TreeVO> children) {
      this.id = id;
      this.text = text;
      this.state = state;
      this.checked = checked;
      this.children = children;
   }

   public TreeVO(TreeGridVO tg) {
      this.id = tg.getId();
      this.text = tg.getMenuname();
      this.children = tg.toTreeVOList();
   }

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id;
   }

   public String getText() {
      return this.text;
   }

   public void setText(String text) {
      this.text = text;
   }

   public String getState() {
      return this.state;
   }

   public void setState(String state) {
      this.state = state;
   }

   public String getChecked() {
      return this.checked;
   }

   public void setChecked(String checked) {
      this.checked = checked;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public List<TreeVO> getChildren() {
      return this.children;
   }

   public void setChildren(List<TreeVO> children) {
      this.children = children;
   }

   public String getIconCls() {
      return this.iconCls;
   }

   public void setIconCls(String iconCls) {
      this.iconCls = iconCls;
   }

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public String getNodename() {
      return this.nodename;
   }

   public void setNodename(String nodename) {
      this.nodename = nodename;
   }

   public String getExist() {
      return this.exist;
   }

   public void setExist(String exist) {
      this.exist = exist;
   }

   public String getNodebyname() {
      return this.nodebyname;
   }

   public void setNodebyname(String nodebyname) {
      this.nodebyname = nodebyname;
   }

   static {
      CHECKED_FALSE = Boolean.FALSE.toString();
      CHECKED_TRUE = Boolean.TRUE.toString();
   }
}
